import { ArrayCheckerService } from './array-checker.service';
import { DecisionPoint } from '../../../core/models/decisionpoint.model';
import { Branch } from '../../../core//models/branch.model';
import { ConditionsCreationService } from './conditions-creation.service';
import { ComputedValueCreationService } from './computed-value-creation.service';
export declare class DecisionPointsCreationService {
    private arrayCheckerService;
    private conditionsCreationService;
    private computedValueCreationService;
    constructor(arrayCheckerService: ArrayCheckerService, conditionsCreationService: ConditionsCreationService, computedValueCreationService: ComputedValueCreationService);
    private createRelevantDataElementReferences(dataElementRefJSON);
    private returnBranch(branchJSON);
    private addDecisionPoint(decsionPointAsJSON, decisionPoints);
    private addDecisionPoints(decsionPointsAsJSON, decisionPoints);
    createDecisionPoints(data: any): DecisionPoint[];
    createDefaultBranch(data: any): Branch;
}
